package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/6/12.
 */
public class DicPlatformType {

    public static final String OPEN = "开放平台";
    public static final String SHARE = "共享平台";
    public static final String BACKSTAGE = "业务管理系统";

    private static DicPlatformType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicPlatformType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(OPEN, OPEN);
        dicMap.put(SHARE, SHARE);
        dicMap.put(BACKSTAGE, BACKSTAGE);
    }

    public static DicPlatformType getInstacne(){
        if (instance == null)
        {
            instance = new DicPlatformType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
